<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>NBTConstants (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="NBTConstants (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/NamedTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/NBTInputStream.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/NBTConstants.html" target="_top">Frames</a></li>
<li><a href="NBTConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.jnbt</div>
<h2 title="Class NBTConstants" class="title">Class NBTConstants</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.jnbt.NBTConstants</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">NBTConstants</span>
extends java.lang.Object</pre>
<div class="block">A class which holds constant values.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.nio.charset.Charset</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#CHARSET">CHARSET</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_BYTE">TYPE_BYTE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_BYTE_ARRAY">TYPE_BYTE_ARRAY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_COMPOUND">TYPE_COMPOUND</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_DOUBLE">TYPE_DOUBLE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_END">TYPE_END</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_FLOAT">TYPE_FLOAT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_INT">TYPE_INT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_INT_ARRAY">TYPE_INT_ARRAY</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_LIST">TYPE_LIST</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_LONG">TYPE_LONG</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_LONG_ARRAY">TYPE_LONG_ARRAY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_SHORT">TYPE_SHORT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#TYPE_STRING">TYPE_STRING</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/sk89q/jnbt/NBTConstants.html#getClassFromType-int-">getClassFromType</a></span>(int&nbsp;id)</code>
<div class="block">Convert a type ID to its corresponding <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt"><code>Tag</code></a> class.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="CHARSET">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CHARSET</h4>
<pre>public static final&nbsp;java.nio.charset.Charset CHARSET</pre>
</li>
</ul>
<a name="TYPE_END">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_END</h4>
<pre>public static final&nbsp;int TYPE_END</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_END">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_BYTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_BYTE</h4>
<pre>public static final&nbsp;int TYPE_BYTE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_BYTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_SHORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_SHORT</h4>
<pre>public static final&nbsp;int TYPE_SHORT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_SHORT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_INT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_INT</h4>
<pre>public static final&nbsp;int TYPE_INT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_INT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_LONG">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_LONG</h4>
<pre>public static final&nbsp;int TYPE_LONG</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_LONG">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_FLOAT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_FLOAT</h4>
<pre>public static final&nbsp;int TYPE_FLOAT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_FLOAT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_DOUBLE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_DOUBLE</h4>
<pre>public static final&nbsp;int TYPE_DOUBLE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_DOUBLE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_BYTE_ARRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_BYTE_ARRAY</h4>
<pre>public static final&nbsp;int TYPE_BYTE_ARRAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_BYTE_ARRAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_STRING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_STRING</h4>
<pre>public static final&nbsp;int TYPE_STRING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_STRING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_LIST">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_LIST</h4>
<pre>public static final&nbsp;int TYPE_LIST</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_LIST">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_COMPOUND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_COMPOUND</h4>
<pre>public static final&nbsp;int TYPE_COMPOUND</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_COMPOUND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_INT_ARRAY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TYPE_INT_ARRAY</h4>
<pre>public static final&nbsp;int TYPE_INT_ARRAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_INT_ARRAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TYPE_LONG_ARRAY">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TYPE_LONG_ARRAY</h4>
<pre>public static final&nbsp;int TYPE_LONG_ARRAY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.sk89q.jnbt.NBTConstants.TYPE_LONG_ARRAY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getClassFromType-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getClassFromType</h4>
<pre>public static&nbsp;java.lang.Class&lt;? extends <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt">Tag</a>&gt;&nbsp;getClassFromType(int&nbsp;id)</pre>
<div class="block">Convert a type ID to its corresponding <a href="../../../com/sk89q/jnbt/Tag.html" title="class in com.sk89q.jnbt"><code>Tag</code></a> class.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - type ID</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>tag class</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code> - thrown if the tag ID is not valid</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/sk89q/jnbt/NamedTag.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/sk89q/jnbt/NBTInputStream.html" title="class in com.sk89q.jnbt"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/sk89q/jnbt/NBTConstants.html" target="_top">Frames</a></li>
<li><a href="NBTConstants.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
